org.eclipse.ease.ui.scripts.keywordhandler

## Class SaveEditorHandler

- java.lang.Object
- - org.eclipse.ease.ui.scripts.keywordhandler.SaveEditorHandler

All Implemented Interfaces:
  IPartListener, IPropertyListener, org.osgi.service.event.EventHandler

    public class SaveEditorHandler
    extends java.lang.Object
    implements org.osgi.service.event.EventHandler, IPartListener, IPropertyListener

### Constructor Summary

Constructors
Constructor and Description
`SaveEditorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent(org.osgi.service.event.Event event)`
`void` `partActivated(IWorkbenchPart part)`
`void` `partBroughtToTop(IWorkbenchPart part)`
`void` `partClosed(IWorkbenchPart part)`
`void` `partDeactivated(IWorkbenchPart part)`
`void` `partOpened(IWorkbenchPart part)`
`void` `propertyChanged(java.lang.Object source, int propId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SaveEditorHandler

    public SaveEditorHandler()

### Method Detail

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`

#### partActivated

    public void partActivated(IWorkbenchPart part)

Specified by:
  `partActivated` in interface `IPartListener`

#### partBroughtToTop

    public void partBroughtToTop(IWorkbenchPart part)

Specified by:
  `partBroughtToTop` in interface `IPartListener`

#### partClosed

    public void partClosed(IWorkbenchPart part)

Specified by:
  `partClosed` in interface `IPartListener`

#### partDeactivated

    public void partDeactivated(IWorkbenchPart part)

Specified by:
  `partDeactivated` in interface `IPartListener`

#### partOpened

    public void partOpened(IWorkbenchPart part)

Specified by:
  `partOpened` in interface `IPartListener`

#### propertyChanged

    public void propertyChanged(java.lang.Object source,
                                int propId)

Specified by:
  `propertyChanged` in interface `IPropertyListener`